# Module `wibox.widget.textbox`

### Info:

- Copyright: 2010, 2011 Uli Schlachter, dodo
- Release: v3.5.4
- Author: Uli Schlachter,dodo

## Functions

draw (wibox, cr, width, height) | Draw the given textbox on the given cairo context in the given geometry
fit (width, height) | Fit the given textbox
set_markup (text) | Set a textbox' text.
set_text (text) | Set a textbox' text.
set_ellipsize (mode) | Set a textbox' ellipsize mode.
set_wrap (mode) | Set a textbox' wrap mode.
set_valign (mode) | Set a textbox' vertical alignment
set_align (mode) | Set a textbox' horizontal alignment
set_font (font) | Set a textbox' font

## Functions

draw (wibox, cr, width, height)
  Draw the given textbox on the given cairo context in the given geometry

  ### Parameters:

  - wibox
  - cr
  - width
  - height
fit (width, height)
  Fit the given textbox

  ### Parameters:

  - width
  - height
set_markup (text)
  Set a textbox' text.

  ### Parameters:

  - text The text to set. This can contain pango markup (e.g. bold)
set_text (text)
  Set a textbox' text.

  ### Parameters:

  - text The text to display. Pango markup is ignored and shown as-is.
set_ellipsize (mode)
  Set a textbox' ellipsize mode.

  ### Parameters:

  - mode Where should long lines be shortened? "start", "middle" or "end"
set_wrap (mode)
  Set a textbox' wrap mode.

  ### Parameters:

  - mode Where to wrap? After "word", "char" or "word_char"
set_valign (mode)
  Set a textbox' vertical alignment

  ### Parameters:

  - mode Where should the textbox be drawn? "top", "center" or "bottom"
set_align (mode)
  Set a textbox' horizontal alignment

  ### Parameters:

  - mode Where should the textbox be drawn? "left", "center" or "right"
set_font (font)
  Set a textbox' font

  ### Parameters:

  - font The font description as string

generated by LDoc 1.4.2